kr.co.hanwha.hifive.adapter.model

## Class UnitListViewHolderData

- java.lang.Object
- - kr.co.hanwha.hifive.adapter.model.UnitListViewHolderData

    public class UnitListViewHolderData
    extends java.lang.Object

Created by sanghoonkwon on 2018. 2. 20..

### Field Summary

Fields
`(package private) java.lang.Object` `data`
`(package private) java.lang.Object` `data2`
`(package private) java.lang.Object` `data3`
`(package private) int` `intValue1`
`(package private) int` `intValue2`
`(package private) java.lang.String` `title`
`(package private) ViewHolderUnitType` `type`

### Constructor Summary

Constructors
Constructor and Description
`UnitListViewHolderData(ViewHolderUnitType type, java.lang.Object data)`
`UnitListViewHolderData(ViewHolderUnitType type, java.lang.Object data, int intValue1)`
`UnitListViewHolderData(ViewHolderUnitType type, java.lang.Object data, int intValue1, int intValue2)`
`UnitListViewHolderData(ViewHolderUnitType type, java.lang.Object data, java.lang.Object data2, java.lang.Object data3)`
`UnitListViewHolderData(ViewHolderUnitType type, java.lang.String title, int intValue1)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getData()`
`java.lang.Object` `getData2()`
`java.lang.Object` `getData3()`
`int` `getIntValue1()`
`int` `getIntValue2()`
`java.lang.String` `getTitle()`
`ViewHolderUnitType` `getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### type

    ViewHolderUnitType type

#### data

    java.lang.Object data

#### data2

    java.lang.Object data2

#### data3

    java.lang.Object data3

#### title

    java.lang.String title

#### intValue1

    int intValue1

#### intValue2

    int intValue2

### Constructor Detail

#### UnitListViewHolderData

    public UnitListViewHolderData(ViewHolderUnitType type,
                                  java.lang.Object data)

#### UnitListViewHolderData

    public UnitListViewHolderData(ViewHolderUnitType type,
                                  java.lang.Object data,
                                  int intValue1)

#### UnitListViewHolderData

    public UnitListViewHolderData(ViewHolderUnitType type,
                                  java.lang.String title,
                                  int intValue1)

#### UnitListViewHolderData

    public UnitListViewHolderData(ViewHolderUnitType type,
                                  java.lang.Object data,
                                  int intValue1,
                                  int intValue2)

#### UnitListViewHolderData

    public UnitListViewHolderData(ViewHolderUnitType type,
                                  java.lang.Object data,
                                  java.lang.Object data2,
                                  java.lang.Object data3)

### Method Detail

#### getType

    public ViewHolderUnitType getType()

#### getData

    public java.lang.Object getData()

#### getData2

    public java.lang.Object getData2()

#### getData3

    public java.lang.Object getData3()

#### getTitle

    public java.lang.String getTitle()

#### getIntValue1

    public int getIntValue1()

#### getIntValue2

    public int getIntValue2()